> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.taigabilling.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.taigabilling.com/_mcp/server.

# Pre Encounter Eligibility Checks V 1 Insurance Discovery

POST https://api.taigabilling.com/eligibility-checks/v1/insurance-discovery
Content-Type: application/json

Sends an insurance discovery check to find potential coverage matches for a patient through Stedi.
Given patient demographics, this endpoint discovers what insurance coverages exist for the patient.
We recommend using the coverages check_insurance_discovery_passthrough API, as it allows long-running discovery requests to complete.

Reference: https://docs.taigabilling.com/api-reference/pre-encounter-eligibility-checks-v-1/pre-encounter-eligibility-checks-v-1-insurance-discovery

## Authentication

- `Authorization` header (bearer token, required) — Send your Taiga API key as a Bearer token. Create and manage keys in the Taiga developer portal.

## Servers

- `https://api.taigabilling.com` (Production, default)
- `https://api-staging.taigabilling.com` (Staging)

## Request

### Body (application/json)

This endpoint expects a pre-encountereligibilityChecksv1InsuranceDiscoveryRequest.

- `provider` (pre-encountereligibilityChecksv1InsuranceDiscoveryProvider, required) — Information about the provider requesting the insurance discovery check.
- `subscriber` (pre-encountereligibilityChecksv1InsuranceDiscoverySubscriber, required) — Demographic information for the patient when they are the health plan subscriber. Providing as much information as possible improves the probability of finding matching coverage. SSN and address (especially zip code) are strongly recommended.
- `dependent` (pre-encountereligibilityChecksv1InsuranceDiscoveryDependent, optional, nullable) — Demographic information for the patient when they are a dependent on a health plan. If you only have the dependent's information, identify them in the subscriber object instead and leave this empty.
- `encounter` (pre-encountereligibilityChecksv1InsuranceDiscoveryEncounter, optional, nullable) — The date range for the service. If not specified, Stedi defaults to the current date. You can specify either a single date_of_service or a beginning_date_of_service and end_date_of_service.

## Response

### 200

- `discovery_id` (string, optional, nullable) — A unique ID for this insurance discovery check.
- `status` (enum, optional, nullable) — The status of the discovery check. COMPLETE means items are populated. PENDING means the check is still in progress.
  - Allowed values: `PENDING`, `COMPLETE`, `ERROR`, `UNKNOWN`
- `items` (list of any, optional, nullable) — An array of potential coverage matches for the patient. Only populated when status is COMPLETE. Each item is a raw passthrough of Stedi's deeply nested coverage-match object (provider, subscriber, payer, plan, and benefits details).
- `parsed_items` (list of pre-encountereligibilityChecksv1ParsedDiscoveryItem, optional, nullable)
- `coverages_found` (integer, optional, nullable) — The number of potential coverage matches found. 0 if no matching coverage was found.
- `errors` (list of pre-encountereligibilityChecksv1EligibilityCheckErrorDetails, optional, nullable)

## Types

### pre-encountereligibilityChecksv1InsuranceDiscoveryProvider

Information about the provider requesting the insurance discovery check.

- `npi` (string, required) — The provider's National Provider Identifier (NPI).

### pre-encountereligibilityChecksv1InsuranceDiscoverySubscriber

Demographic information for the patient when they are the health plan subscriber. Providing as much information as possible improves the probability of finding matching coverage. SSN and address (especially zip code) are strongly recommended.

- `first_name` (string, required) — The subscriber's first name.
- `last_name` (string, required) — The subscriber's last name.
- `middle_name` (string, optional, nullable) — The subscriber's middle name or initial.
- `date_of_birth` (string, optional, nullable) — The subscriber's date of birth, formatted as YYYYMMDD.
- `ssn` (string, optional, nullable) — The subscriber's Social Security Number (SSN). Full SSN is preferred, but even the last 4 digits can help.
- `gender` (enum, optional, nullable)
  - Allowed values: `M`, `F`
- `address` (pre-encountereligibilityChecksv1InsuranceDiscoveryAddress, optional, nullable) — The patient's address. Providing a zip code improves the probability of finding matching coverage.

### pre-encountereligibilityChecksv1InsuranceDiscoveryDependent

Demographic information for the patient when they are a dependent on a health plan. If you only have the dependent's information, identify them in the subscriber object instead and leave this empty.

- `first_name` (string, required) — The dependent's first name.
- `last_name` (string, required) — The dependent's last name.
- `middle_name` (string, optional, nullable) — The dependent's middle name or initial.
- `date_of_birth` (string, optional, nullable) — The dependent's date of birth, formatted as YYYYMMDD.
- `ssn` (string, optional, nullable) — The dependent's Social Security Number (SSN).
- `gender` (enum, optional, nullable)
  - Allowed values: `M`, `F`
- `address` (pre-encountereligibilityChecksv1InsuranceDiscoveryAddress, optional, nullable) — The patient's address. Providing a zip code improves the probability of finding matching coverage.

### pre-encountereligibilityChecksv1InsuranceDiscoveryEncounter

The date range for the service. If not specified, Stedi defaults to the current date. You can specify either a single date_of_service or a beginning_date_of_service and end_date_of_service.

- `date_of_service` (string, optional, nullable) — A single date of service, formatted as YYYYMMDD.
- `beginning_date_of_service` (string, optional, nullable) — The beginning date of service, formatted as YYYYMMDD.
- `end_date_of_service` (string, optional, nullable) — The end date of service, formatted as YYYYMMDD.

### pre-encountereligibilityChecksv1ParsedDiscoveryItem

- `eligibility_status` (enum, required) — enum to represent the status of a patient's coverage
  - Allowed values: `ACTIVE`, `INACTIVE`, `UNKNOWN`
- `benefits` (pre-encountercoveragesv1CoverageBenefits, optional, nullable)
- `confidence` (pre-encountereligibilityChecksv1Confidence, optional, nullable)
- `plan_metadata` (pre-encountercoveragesv1PlanMetadata, optional, nullable)

### pre-encountereligibilityChecksv1EligibilityCheckErrorDetails

This object is our fern representation of Stedi's EligbilityCheckError object from their API.

- `field?` (string, optional, nullable)
- `description?` (string, optional, nullable)
- `location?` (string, optional, nullable)
- `possibleResolutions?` (string, optional, nullable)
- `code?` (string, optional, nullable)
- `followupAction?` (string, optional, nullable)

### pre-encountereligibilityChecksv1InsuranceDiscoveryAddress

The patient's address. Providing a zip code improves the probability of finding matching coverage.

- `address_1` (string, optional, nullable)
- `address_2` (string, optional, nullable)
- `city` (string, optional, nullable)
- `state` (string, optional, nullable)
- `postal_code` (string, optional, nullable)
- `country_code` (string, optional, nullable)

### pre-encountercoveragesv1CoverageBenefits

- `plan_coverage` (pre-encountercoveragesv1PlanCoverage, optional, nullable)
- `service_specific_coverage` (list of pre-encountercoveragesv1ServiceCoverage, optional, nullable)
- `benefits_related_entities` (list of pre-encountercoveragesv1BenefitsRelatedEntity, optional, nullable)
- `non_covered_details` (list of pre-encountercoveragesv1NonCoveredDetail, optional, nullable)
- `notes` (string, optional, nullable)
- `autoUpdatedEligibilityCheckId` (string, optional, nullable)

### pre-encountereligibilityChecksv1Confidence

- `level` (enum, optional, nullable)
  - Allowed values: `REVIEW_NEEDED`, `HIGH`
- `reason` (string, optional, nullable)

### pre-encountercoveragesv1PlanMetadata

- `payer_name` (string, optional, nullable)
- `insurance_type` (string, optional, nullable)
- `insurance_type_code` (string, optional, nullable)
- `plan_name` (string, optional, nullable)
- `member_id` (string, optional, nullable)
- `group_number` (string, optional, nullable)
- `start_date` (date, optional, nullable)
- `end_date` (date, optional, nullable)
- `plan_dates` (list of pre-encountercoveragesv1PlanDate, optional, nullable)
- `subscriber` (pre-encountercoveragesv1ExpandedMemberInfo, optional, nullable)
- `dependent` (pre-encountercoveragesv1ExpandedMemberInfo, optional, nullable)
- `trading_partner` (string, optional, nullable) — The payer's own identifier as returned on the Stedi eligibility response (271) `tradingPartnerServiceId`. Reflects the payer's internal concept of their ID, which may differ from the ID Stedi routes on.

### pre-encountercoveragesv1PlanCoverage

- `in_network` (pre-encountercoveragesv1PlanCoverageDetails, optional, nullable)
- `in_network_flat` (list of pre-encountercoveragesv1CoverageDetails, optional, nullable)
- `out_of_network` (pre-encountercoveragesv1PlanCoverageDetails, optional, nullable)
- `out_of_network_flat` (list of pre-encountercoveragesv1CoverageDetails, optional, nullable)

### pre-encountercoveragesv1ServiceCoverage

- `service_code` (enum, required) — Code identifying the type of service or benefit within a specific insurance policy (X12 008010 Element 1365)
  - Allowed values: `1`, `2`, `3`, `4`, `5`, `6`, `7`, `8`, `9`, `10`, `11`, `12`, `13`, `14`, `15`, `16`, `17`, `18`, `19`, `20`, `21`, `22`, `23`, `24`, `25`, `26`, `27`, `28`, `30`, `32`, `33`, `34`, `35`, `36`, `37`, `38`, `39`, `40`, `41`, `42`, `43`, `44`, `45`, `46`, `47`, `48`, `49`, `50`, `51`, `52`, `53`, `54`, `55`, `56`, `57`, `58`, `59`, `60`, `61`, `62`, `63`, `64`, `65`, `66`, `67`, `68`, `69`, `70`, `71`, `72`, `73`, `74`, `75`, `76`, `77`, `78`, `79`, `80`, `81`, `82`, `83`, `84`, `85`, `86`, `87`, `88`, `89`, `90`, `91`, `92`, `93`, `94`, `95`, `96`, `97`, `98`, `99`, `A0`, `A1`, `A2`, `A3`, `A4`, `A5`, `A6`, `A7`, `A8`, `A9`, `AA`, `AB`, `AC`, `AD`, `AE`, `AF`, `AG`, `AH`, `AI`, `AJ`, `AK`, `AL`, `AM`, `AN`, `AO`, `AQ`, `AR`, `B1`, `B2`, `B3`, `BA`, `BB`, `BC`, `BD`, `BE`, `BF`, `BG`, `BH`, `BI`, `BJ`, `BK`, `BL`, `BM`, `BN`, `BP`, `BQ`, `BR`, `BS`, `BT`, `BU`, `BV`, `BW`, `BX`, `BY`, `BZ`, `C1`, `CA`, `CB`, `CC`, `CD`, `CE`, `CF`, `CG`, `CH`, `CI`, `CJ`, `CK`, `CL`, `CM`, `CN`, `CO`, `CP`, `CQ`, `DG`, `DM`, `DS`, `GF`, `GN`, `GY`, `IC`, `MH`, `NI`, `ON`, `PT`, `PU`, `RN`, `RT`, `TC`, `TN`, `UC`
- `in_network` (pre-encountercoveragesv1ServiceCoverageDetails, optional, nullable)
- `in_network_flat` (list of pre-encountercoveragesv1CoverageDetails, optional, nullable)
- `out_of_network` (pre-encountercoveragesv1ServiceCoverageDetails, optional, nullable)
- `out_of_network_flat` (list of pre-encountercoveragesv1CoverageDetails, optional, nullable)

### pre-encountercoveragesv1BenefitsRelatedEntity

- `entityIdentifier` (string, optional, nullable)
- `entityType` (string, optional, nullable)
- `entityName` (string, optional, nullable)
- `contactInformation` (list of pre-encountercoveragesv1RelatedEntityContact, optional, nullable)
- `serviceTypeCodes` (list of enum, optional, nullable)
  - Allowed values: `1`, `2`, `3`, `4`, `5`, `6`, `7`, `8`, `9`, `10`, `11`, `12`, `13`, `14`, `15`, `16`, `17`, `18`, `19`, `20`, `21`, `22`, `23`, `24`, `25`, `26`, `27`, `28`, `30`, `32`, `33`, `34`, `35`, `36`, `37`, `38`, `39`, `40`, `41`, `42`, `43`, `44`, `45`, `46`, `47`, `48`, `49`, `50`, `51`, `52`, `53`, `54`, `55`, `56`, `57`, `58`, `59`, `60`, `61`, `62`, `63`, `64`, `65`, `66`, `67`, `68`, `69`, `70`, `71`, `72`, `73`, `74`, `75`, `76`, `77`, `78`, `79`, `80`, `81`, `82`, `83`, `84`, `85`, `86`, `87`, `88`, `89`, `90`, `91`, `92`, `93`, `94`, `95`, `96`, `97`, `98`, `99`, `A0`, `A1`, `A2`, `A3`, `A4`, `A5`, `A6`, `A7`, `A8`, `A9`, `AA`, `AB`, `AC`, `AD`, `AE`, `AF`, `AG`, `AH`, `AI`, `AJ`, `AK`, `AL`, `AM`, `AN`, `AO`, `AQ`, `AR`, `B1`, `B2`, `B3`, `BA`, `BB`, `BC`, `BD`, `BE`, `BF`, `BG`, `BH`, `BI`, `BJ`, `BK`, `BL`, `BM`, `BN`, `BP`, `BQ`, `BR`, `BS`, `BT`, `BU`, `BV`, `BW`, `BX`, `BY`, `BZ`, `C1`, `CA`, `CB`, `CC`, `CD`, `CE`, `CF`, `CG`, `CH`, `CI`, `CJ`, `CK`, `CL`, `CM`, `CN`, `CO`, `CP`, `CQ`, `DG`, `DM`, `DS`, `GF`, `GN`, `GY`, `IC`, `MH`, `NI`, `ON`, `PT`, `PU`, `RN`, `RT`, `TC`, `TN`, `UC`

### pre-encountercoveragesv1NonCoveredDetail

- `type` (enum, required)
  - Allowed values: `DEDUCTIBLE`, `DEDUCTIBLE_CONTRACT`, `DEDUCTIBLE_REMAINING`, `DEDUCTIBLE_YEAR_TO_DATE`, `OOP_MAX`, `OOP_MAX_CONTRACT`, `OOP_MAX_REMAINING`, `OOP_MAX_YEAR_TO_DATE`, `COPAY`, `COINSURANCE`, `NON_COVERED`, `LIMITATION`
- `coverageLevel` (enum, required)
  - Allowed values: `EMPLOYEE_AND_CHILDREN`, `EMPLOYEE_ONLY`, `EMPLOYEE_AND_SPOUSE`, `FAMILY`, `INDIVIDUAL`
- `unit` (enum, required)
  - Allowed values: `PERCENT`, `CURRENCY`, `COUNT`
- `value` (double, required)
- `additional_notes` (string, optional, nullable)
- `service_type_codes` (list of enum, optional, nullable)
  - Allowed values: `1`, `2`, `3`, `4`, `5`, `6`, `7`, `8`, `9`, `10`, `11`, `12`, `13`, `14`, `15`, `16`, `17`, `18`, `19`, `20`, `21`, `22`, `23`, `24`, `25`, `26`, `27`, `28`, `30`, `32`, `33`, `34`, `35`, `36`, `37`, `38`, `39`, `40`, `41`, `42`, `43`, `44`, `45`, `46`, `47`, `48`, `49`, `50`, `51`, `52`, `53`, `54`, `55`, `56`, `57`, `58`, `59`, `60`, `61`, `62`, `63`, `64`, `65`, `66`, `67`, `68`, `69`, `70`, `71`, `72`, `73`, `74`, `75`, `76`, `77`, `78`, `79`, `80`, `81`, `82`, `83`, `84`, `85`, `86`, `87`, `88`, `89`, `90`, `91`, `92`, `93`, `94`, `95`, `96`, `97`, `98`, `99`, `A0`, `A1`, `A2`, `A3`, `A4`, `A5`, `A6`, `A7`, `A8`, `A9`, `AA`, `AB`, `AC`, `AD`, `AE`, `AF`, `AG`, `AH`, `AI`, `AJ`, `AK`, `AL`, `AM`, `AN`, `AO`, `AQ`, `AR`, `B1`, `B2`, `B3`, `BA`, `BB`, `BC`, `BD`, `BE`, `BF`, `BG`, `BH`, `BI`, `BJ`, `BK`, `BL`, `BM`, `BN`, `BP`, `BQ`, `BR`, `BS`, `BT`, `BU`, `BV`, `BW`, `BX`, `BY`, `BZ`, `C1`, `CA`, `CB`, `CC`, `CD`, `CE`, `CF`, `CG`, `CH`, `CI`, `CJ`, `CK`, `CL`, `CM`, `CN`, `CO`, `CP`, `CQ`, `DG`, `DM`, `DS`, `GF`, `GN`, `GY`, `IC`, `MH`, `NI`, `ON`, `PT`, `PU`, `RN`, `RT`, `TC`, `TN`, `UC`

### pre-encountercoveragesv1PlanDate

- `start_date` (date, required)
- `field_name` (string, required)
- `end_date` (date, optional, nullable)

### pre-encountercoveragesv1ExpandedMemberInfo

- `member_id` (string, optional, nullable)
- `group_number` (string, optional, nullable)
- `first_name` (string, optional, nullable)
- `middle_name` (string, optional, nullable)
- `last_name` (string, optional, nullable)
- `date_of_birth` (string, optional, nullable)
- `gender` (string, optional, nullable)
- `address` (pre-encountercoveragesv1Address, optional, nullable)

### pre-encountercoveragesv1PlanCoverageDetails

- `deductible` (pre-encountercoveragesv1CoverageValue, optional, nullable)
- `deductible_contract` (pre-encountercoveragesv1CoverageValue, optional, nullable)
- `deductible_remaining` (pre-encountercoveragesv1CoverageValue, optional, nullable)
- `deductible_year_to_date` (pre-encountercoveragesv1CoverageValue, optional, nullable)
- `oop_max` (pre-encountercoveragesv1CoverageValue, optional, nullable)
- `oop_max_contract` (pre-encountercoveragesv1CoverageValue, optional, nullable)
- `oop_max_remaining` (pre-encountercoveragesv1CoverageValue, optional, nullable)
- `oop_max_year_to_date` (pre-encountercoveragesv1CoverageValue, optional, nullable)
- `additional_notes` (string, optional, nullable)

### pre-encountercoveragesv1CoverageDetails

- `type` (enum, required)
  - Allowed values: `DEDUCTIBLE`, `DEDUCTIBLE_CONTRACT`, `DEDUCTIBLE_REMAINING`, `DEDUCTIBLE_YEAR_TO_DATE`, `OOP_MAX`, `OOP_MAX_CONTRACT`, `OOP_MAX_REMAINING`, `OOP_MAX_YEAR_TO_DATE`, `COPAY`, `COINSURANCE`, `NON_COVERED`, `LIMITATION`
- `coverageLevel` (enum, required)
  - Allowed values: `EMPLOYEE_AND_CHILDREN`, `EMPLOYEE_ONLY`, `EMPLOYEE_AND_SPOUSE`, `FAMILY`, `INDIVIDUAL`
- `unit` (enum, required)
  - Allowed values: `PERCENT`, `CURRENCY`, `COUNT`
- `value` (double, required)
- `additional_notes` (string, optional, nullable)

### pre-encountercoveragesv1ServiceCoverageDetails

- `copay` (pre-encountercoveragesv1CoverageValue, optional, nullable)
- `coinsurance` (pre-encountercoveragesv1CoverageValue, optional, nullable)
- `visits` (pre-encountercoveragesv1CoverageValue, optional, nullable)
- `visits_remaining` (pre-encountercoveragesv1CoverageValue, optional, nullable)
- `additional_notes` (string, optional, nullable)

### pre-encountercoveragesv1RelatedEntityContact

- `mode` (string, optional, nullable)
- `value` (string, optional, nullable)

### pre-encountercoveragesv1Address

- `address1` (string, optional, nullable)
- `address2` (string, optional, nullable)
- `city` (string, optional, nullable)
- `state` (string, optional, nullable)
- `postal_code` (string, optional, nullable)
- `country_code` (string, optional, nullable)
- `country_sub_division_code` (string, optional, nullable)

### pre-encountercoveragesv1CoverageValue

- `family` (double, optional, nullable)
- `individual` (double, optional, nullable)
- `employeeAndSpouse` (double, optional, nullable)
- `employeeAndChildren` (double, optional, nullable)

## Examples

**Request**

```json
{
  "provider": {
    "npi": "string"
  },
  "subscriber": {
    "first_name": "string",
    "last_name": "string"
  }
}
```

**Response**

```json
{
  "discovery_id": "string",
  "status": "PENDING",
  "items": [
    null
  ],
  "parsed_items": [
    {
      "eligibility_status": "ACTIVE",
      "benefits": {
        "plan_coverage": {
          "in_network": {
            "deductible": {
              "family": 1.1,
              "individual": 1.1,
              "employeeAndSpouse": 1.1,
              "employeeAndChildren": 1.1
            },
            "deductible_contract": {
              "family": 1.1,
              "individual": 1.1,
              "employeeAndSpouse": 1.1,
              "employeeAndChildren": 1.1
            },
            "deductible_remaining": {
              "family": 1.1,
              "individual": 1.1,
              "employeeAndSpouse": 1.1,
              "employeeAndChildren": 1.1
            },
            "deductible_year_to_date": {
              "family": 1.1,
              "individual": 1.1,
              "employeeAndSpouse": 1.1,
              "employeeAndChildren": 1.1
            },
            "oop_max": {
              "family": 1.1,
              "individual": 1.1,
              "employeeAndSpouse": 1.1,
              "employeeAndChildren": 1.1
            },
            "oop_max_contract": {
              "family": 1.1,
              "individual": 1.1,
              "employeeAndSpouse": 1.1,
              "employeeAndChildren": 1.1
            },
            "oop_max_remaining": {
              "family": 1.1,
              "individual": 1.1,
              "employeeAndSpouse": 1.1,
              "employeeAndChildren": 1.1
            },
            "oop_max_year_to_date": {
              "family": 1.1,
              "individual": 1.1,
              "employeeAndSpouse": 1.1,
              "employeeAndChildren": 1.1
            },
            "additional_notes": "string"
          },
          "in_network_flat": [
            {
              "type": "DEDUCTIBLE",
              "coverageLevel": "EMPLOYEE_AND_CHILDREN",
              "unit": "PERCENT",
              "value": 1.1,
              "additional_notes": "string"
            }
          ],
          "out_of_network": {
            "deductible": {
              "family": 1.1,
              "individual": 1.1,
              "employeeAndSpouse": 1.1,
              "employeeAndChildren": 1.1
            },
            "deductible_contract": {
              "family": 1.1,
              "individual": 1.1,
              "employeeAndSpouse": 1.1,
              "employeeAndChildren": 1.1
            },
            "deductible_remaining": {
              "family": 1.1,
              "individual": 1.1,
              "employeeAndSpouse": 1.1,
              "employeeAndChildren": 1.1
            },
            "deductible_year_to_date": {
              "family": 1.1,
              "individual": 1.1,
              "employeeAndSpouse": 1.1,
              "employeeAndChildren": 1.1
            },
            "oop_max": {
              "family": 1.1,
              "individual": 1.1,
              "employeeAndSpouse": 1.1,
              "employeeAndChildren": 1.1
            },
            "oop_max_contract": {
              "family": 1.1,
              "individual": 1.1,
              "employeeAndSpouse": 1.1,
              "employeeAndChildren": 1.1
            },
            "oop_max_remaining": {
              "family": 1.1,
              "individual": 1.1,
              "employeeAndSpouse": 1.1,
              "employeeAndChildren": 1.1
            },
            "oop_max_year_to_date": {
              "family": 1.1,
              "individual": 1.1,
              "employeeAndSpouse": 1.1,
              "employeeAndChildren": 1.1
            },
            "additional_notes": "string"
          },
          "out_of_network_flat": [
            {
              "type": "DEDUCTIBLE",
              "coverageLevel": "EMPLOYEE_AND_CHILDREN",
              "unit": "PERCENT",
              "value": 1.1,
              "additional_notes": "string"
            }
          ]
        },
        "service_specific_coverage": [
          {
            "service_code": "1",
            "in_network": {
              "copay": {
                "family": 1.1,
                "individual": 1.1,
                "employeeAndSpouse": 1.1,
                "employeeAndChildren": 1.1
              },
              "coinsurance": {
                "family": 1.1,
                "individual": 1.1,
                "employeeAndSpouse": 1.1,
                "employeeAndChildren": 1.1
              },
              "visits": {
                "family": 1.1,
                "individual": 1.1,
                "employeeAndSpouse": 1.1,
                "employeeAndChildren": 1.1
              },
              "visits_remaining": {
                "family": 1.1,
                "individual": 1.1,
                "employeeAndSpouse": 1.1,
                "employeeAndChildren": 1.1
              },
              "additional_notes": "string"
            },
            "in_network_flat": [
              {
                "type": "DEDUCTIBLE",
                "coverageLevel": "EMPLOYEE_AND_CHILDREN",
                "unit": "PERCENT",
                "value": 1.1,
                "additional_notes": "string"
              }
            ],
            "out_of_network": {
              "copay": {
                "family": 1.1,
                "individual": 1.1,
                "employeeAndSpouse": 1.1,
                "employeeAndChildren": 1.1
              },
              "coinsurance": {
                "family": 1.1,
                "individual": 1.1,
                "employeeAndSpouse": 1.1,
                "employeeAndChildren": 1.1
              },
              "visits": {
                "family": 1.1,
                "individual": 1.1,
                "employeeAndSpouse": 1.1,
                "employeeAndChildren": 1.1
              },
              "visits_remaining": {
                "family": 1.1,
                "individual": 1.1,
                "employeeAndSpouse": 1.1,
                "employeeAndChildren": 1.1
              },
              "additional_notes": "string"
            },
            "out_of_network_flat": [
              {
                "type": "DEDUCTIBLE",
                "coverageLevel": "EMPLOYEE_AND_CHILDREN",
                "unit": "PERCENT",
                "value": 1.1,
                "additional_notes": "string"
              }
            ]
          }
        ],
        "benefits_related_entities": [
          {
            "entityIdentifier": "string",
            "entityType": "string",
            "entityName": "string",
            "contactInformation": [
              {
                "mode": "string",
                "value": "string"
              }
            ],
            "serviceTypeCodes": [
              "1"
            ]
          }
        ],
        "non_covered_details": [
          {
            "type": "DEDUCTIBLE",
            "coverageLevel": "EMPLOYEE_AND_CHILDREN",
            "unit": "PERCENT",
            "value": 1.1,
            "additional_notes": "string",
            "service_type_codes": [
              "1"
            ]
          }
        ],
        "notes": "string",
        "autoUpdatedEligibilityCheckId": "string"
      },
      "confidence": {
        "level": "REVIEW_NEEDED",
        "reason": "string"
      },
      "plan_metadata": {
        "payer_name": "string",
        "insurance_type": "string",
        "insurance_type_code": "string",
        "plan_name": "string",
        "member_id": "string",
        "group_number": "string",
        "start_date": "2023-01-15",
        "end_date": "2023-01-15",
        "plan_dates": [
          {
            "start_date": "2023-01-15",
            "field_name": "string",
            "end_date": "2023-01-15"
          }
        ],
        "subscriber": {
          "member_id": "string",
          "group_number": "string",
          "first_name": "string",
          "middle_name": "string",
          "last_name": "string",
          "date_of_birth": "string",
          "gender": "string",
          "address": {
            "address1": "string",
            "address2": "string",
            "city": "string",
            "state": "string",
            "postal_code": "string",
            "country_code": "string",
            "country_sub_division_code": "string"
          }
        },
        "dependent": {
          "member_id": "string",
          "group_number": "string",
          "first_name": "string",
          "middle_name": "string",
          "last_name": "string",
          "date_of_birth": "string",
          "gender": "string",
          "address": {
            "address1": "string",
            "address2": "string",
            "city": "string",
            "state": "string",
            "postal_code": "string",
            "country_code": "string",
            "country_sub_division_code": "string"
          }
        },
        "trading_partner": "string"
      }
    }
  ],
  "coverages_found": 1,
  "errors": [
    {
      "field?": "string",
      "description?": "string",
      "location?": "string",
      "possibleResolutions?": "string",
      "code?": "string",
      "followupAction?": "string"
    }
  ]
}
```

**SDK Code**

```python
import requests

url = "https://api.taigabilling.com/eligibility-checks/v1/insurance-discovery"

payload = {
    "provider": { "npi": "string" },
    "subscriber": {
        "first_name": "string",
        "last_name": "string"
    }
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```